# KDChartThreeDPieAttributes.h File Reference

`#include <QMetaType>`
`#include "KDChartAbstractThreeDAttributes.h"`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartThreeDPieAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::ThreeDPieAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::ThreeDPieAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::ThreeDPieAttributes & |
| ) |

Definition at line 92 of file KDChartThreeDPieAttributes.cpp.

References KDChart::ThreeDPieAttributes::useShadowColors().

    00093 {
    00094     dbg << "KDChart::ThreeDPieAttributes(";
    00095     dbg = operator <<( dbg, static_cast<const AbstractThreeDAttributes&>(a) );
    00096     dbg << "useShadowColors="<< a.useShadowColors() << ")";
    00097     return dbg;
    00098 }

Q_DECLARE_TYPEINFO | ( | KDChart::ThreeDPieAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |